Index: Dev/branches/rest-dojo-ui/client/config/config.sh
===================================================================
--- Dev/branches/rest-dojo-ui/client/config/config.sh	(revision 410)
+++ Dev/branches/rest-dojo-ui/client/config/config.sh	(revision 410)
@@ -0,0 +1,2 @@
+#!/bin/sh
+node ../dojo/dojo.js load=config/db
Index: Dev/branches/rest-dojo-ui/client/config/db.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/config/db.js	(revision 409)
+++ Dev/branches/rest-dojo-ui/client/config/db.js	(revision 410)
@@ -1,134 +1,139 @@
-require([
-         'dojo/_base/json',
-         'dojo/_base/lang',
-         'dojo/_base/xhr',
-         'dojo/parser',
-         'dojo/query',
-         'dijit/registry',
-         'dojo/domReady!'
-],function(json,lang,xhr,parser,query,registry){
-    var logNode;
-    var usernameInput, passwordInput, resetInput, configButton;
-    var defaultUsername = "", defaultPassword = "";
-    var dbUrl = "../data/";
+define([
+     'dojo/_base/json',
+     'dojo/_base/lang',
+     'dojo/Deferred',
+     'dojo/request',
+     'dojox/lang/functional',
+     './docs'
+],function(json,lang,Deferred,request,func,docs){
+    var dbUrl = "http://localhost:5984/";
 
-    parser.parse()
-    .then(function(){
-        query("#log").forEach(function(n){logNode = n;});
-        usernameInput = registry.byId('username');
-        passwordInput = registry.byId('password');
-        resetInput = registry.byId('reset');
-        configButton = registry.byId('configure');
-
-        usernameInput.set('value',defaultUsername);
-        passwordInput.set('value',defaultPassword);
-        configButton.on('click',configure);
-
-        log("Give CouchDB admin username & password and click 'Configure' to start.\nIf the database already exists, rft_admin password will suffice.",true);
-    });
-
-    function configure(){
-        var docs;
-
-        log("Configuring CouchDB for RFT:",true);
-
-        var username = usernameInput.get('value');
-        var password = passwordInput.get('value');
-        var reset = resetInput.get('value');
-
-        log("Downloading most recent configuration.");
-        xhr('GET',{
-            url: 'docs.json',
-            handleAs: 'json',
-            sync: true
-        },true)
-        .then(function(result){
-            docs = result;
-        });
-
-        function req(method,url,body) {
-            var args = {
-                url: dbUrl+url,
-                contentType: 'application/json',
-                handleAs: 'json',
-                sync: true
-            };
-            if ( !body || lang.isObject(body) ) {
-                body = json.toJson(body || {});
-            }
-            args.rawBody = body;
-            if ( username ) {
-                args.user = username;
-                args.password = password;
-            }
-            return xhr(method,args,true);
+    function serializeFunctions(value) {
+        if ( value === null ) {
+            return null;
+        } else if ( lang.isArray(value) ) {
+            return value;
+        } else if ( lang.isFunction(value) ) {
+            return value.toString();
+        } else if ( lang.isObject(value) ) {
+            return func.mapIn(value,serializeFunctions);
+        } else {
+            return value;
         }
-
-        log("Checking CouchDB version");
-        req('GET','/')
-        .then(function(res){
-            if (res.version !== "1.2.0" ) {
-                log("Found "+res.version+", only tested with CouchDB 1.2.0")
-            } else {
-                log("CouchDB 1.2.0 found")
-            }
-        });
-
-        var exists = false;
-        log("Checking database 'rft'");
-        req('GET','/rft')
-        .then(function(db){
-            log("Database 'rft' found.")
-            exists = true;
-        });
-        if ( exists && reset ) {
-            req('DELETE','/rft');
-            exists = false;
-        }
-        if ( !exists ) {
-            log("Creating database 'rft'")
-            req('PUT','/rft')
-        };
-
-        function processDoc(docUrl,doc){
-            var configAction = doc.__configAction;
-            delete doc.__configAction;
-            switch (configAction) {
-                case "ignore":
-                    log(docUrl+" ignored.");
-                    return false;
-                case "update":
-                    log(docUrl+" updating.");
-                    return req('GET',docUrl)
-                    .then(function(oldDoc){
-                        lang.mixin(oldDoc,doc);
-                        return req('PUT',docUrl,oldDoc);
-                    },function(){
-                        return req('PUT',docUrl,doc);
-                    });
-                case "replace":
-                default:
-                    log(docUrl+" replacing.");
-                    return req('GET',docUrl)
-                    .then(function(oldDoc){
-                        doc['_rev'] = oldDoc['_rev'];
-                        return req('PUT',docUrl,doc);
-                    },function(){
-                        return req('PUT',docUrl,doc);
-                    });
-            }
-        }
-
-        for (var docUrl in docs) {
-            processDoc(docUrl,docs[docUrl]);
-        }
-
-        log("Done!");
     }
 
-    function log(text,overwrite) {
-        if ( overwrite ) logNode.innerHTML = text
-        else logNode.innerHTML = logNode.innerHTML + '\n' + text;
+    function req(method,path,body) {
+        var args = {
+            contentType: 'application/json',
+            handleAs: 'json',
+            data: json.toJson(body || {})
+        };
+        return request[method](dbUrl+path,args);
     }
 
+    function asyncSeq(functions) {
+        var d = new Deferred();
+        (function stepper(fs,arg) {
+            if ( fs.length > 0 ) {
+                try {
+                    var f = fs.shift();
+                    var ret = f(arg);
+                    if ( ret && ret.then ) {
+                        ret.then(function(ret){
+                            stepper(fs,ret);
+                        });
+                    } else {
+                        stepper(fs,ret);
+                    }
+                } catch(err) {
+                    d.reject(err);
+                }
+            } else {
+                d.resolve();
+            }
+        })(functions);
+        return d.promise;
+    }
+
+    function asyncFor(list,callback,ctx) {
+        var d = new Deferred();
+        (function stepper(list,idx){
+            if ( list.length > 0 ) {
+                var el = list.shift();
+                var ret = callback.call(ctx,el,idx);
+                if ( ret && ret.then ) {
+                    ret.then(function(){
+                        stepper(list,idx+1);
+                    });
+                } else {
+                    stepper(list,idx+1);
+                }
+            } else {
+                d.resolve();
+            }
+        })(list,0);
+        return d.promise;
+    }
+
+    asyncSeq([
+        function(){
+            console.log("Configuring CouchDB for RFT:");
+        },
+        function(){
+            console.log("Checking CouchDB version");
+            return req('get','')
+            .then(function(res){
+                if (res.version !== "1.2.0" ) {
+                    console.log("Found "+res.version+", only tested with CouchDB 1.2.0")
+                } else {
+                    console.log("CouchDB 1.2.0 found");
+                }
+            });
+        },function(){
+            console.log("Checking database 'rft'");
+            return req('get','rft')
+            .then(function(){
+                console.log("Database 'rft' found.");
+            },function(){
+                console.log("Creating database 'rft'");
+                return req('put','/rft');
+            });
+        },function(){
+            return serializeFunctions(docs);
+        },function(docs){
+            console.log("Putting documents in database.");
+            return asyncFor(func.keys(docs),function(docUrl){
+                var doc = docs[docUrl];
+                var configAction = doc.__configAction;
+                delete doc.__configAction;
+                switch (configAction) {
+                    case "ignore":
+                        console.log(docUrl+" ignored.");
+                    case "update":
+                        console.log(docUrl+" updating.");
+                        return req('get',docUrl)
+                        .then(function(oldDoc){
+                            lang.mixin(oldDoc,doc);
+                            return req('put',docUrl,oldDoc);
+                        },function(){
+                            return req('put',docUrl,doc);
+                        });
+                    case "replace":
+                    default:
+                        console.log(docUrl+" replacing.");
+                        return req('get',docUrl)
+                        .then(function(oldDoc){
+                            doc['_rev'] = oldDoc['_rev'];
+                            return req('put',docUrl,doc);
+                        },function(){
+                            return req('put',docUrl,doc);
+                        });
+                }
+            });
+        },function(){
+            console.log("Done!");
+        }
+    ]);
+
+
 });
Index: Dev/branches/rest-dojo-ui/client/config/docs.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/config/docs.js	(revision 410)
+++ Dev/branches/rest-dojo-ui/client/config/docs.js	(revision 410)
@@ -0,0 +1,107 @@
+define([],function(){
+    return {
+        "_users/rft_admin": {
+            __configAction: "ignore",
+            _id: "org.couchdb.user:rft_admin",
+            name: "rft_admin",
+            password: "Welkom01",
+            roles: [ "rft_admin" ],
+            type: "user"
+        },
+        "rft/_security": {
+            __configAction: "ignore",
+            admins: {
+                names: [],
+                roles: ["rft_admin"]
+            },
+            readers: {
+                names: [],
+                roles: ["rft_user"]
+            }
+        },
+        "rft/_design/default": {
+            __configAction: "replace",
+            _id: "_design/default",
+            language: "javascript",
+            validate_doc_update: function(newDoc, oldDoc, userCtx, secObj) {
+                if ( oldDoc && oldDoc.publicationDate ) { throw({forbidden:'Published documents cannot be modified.'}); }
+                if ( !newDoc._deleted && !newDoc.type ) { throw({forbidden:'Documents must have a type field.'}); }
+            },
+            views: {
+                by_type: {
+                    map: function(doc){
+                        emit(doc.type, doc);
+                    }
+                }
+            }
+        },
+        "rft/_design/questions": {
+            __configAction: "replace",
+            _id: "_design/questions",
+            language: "javascript",
+            validate_doc_update: function(newDoc, oldDoc, userCtx, secObj) {
+                if( newDoc._deleted || newDoc.type!=='Question' ){ return; }
+                if( !newDoc.code ){ throw({forbidden:'Question must have a code field.'});}
+            },
+            views: {
+                all: {
+                    map: function(doc){
+                        if ( doc.type !== 'Question' ) { return; }
+                        if ( doc.categories && doc.categories.length > 0 ) {
+                            for ( var i = 0; i < doc.categories.length; i++ ) { 
+                                emit([doc.categories[i],doc.topic||null],1);
+                            } 
+                        } else { 
+                            emit([null,null],1); 
+                        } 
+                    },
+                    reduce: function(keys,values){ return sum(values); }
+                },
+                published: {
+                    map: function(doc){
+                        if ( doc.type!=='Question' || !doc.publicationDate ) { return; }
+                        if ( doc.categories && doc.categories.length > 0 ) {
+                            for ( var i = 0; i < doc.categories.length; i++ ) {
+                                emit([doc.categories[i],doc.topic||null],1);
+                            }
+                        } else {
+                            emit([null,null],1);
+                        }
+                    },
+                    reduce: function(keys,values){ return sum(values); }
+                },
+                all_topics: {
+                    map: function(doc){
+                        if( doc.type !== 'Question' ){ return; }
+                        emit(doc.topic);
+                    }
+                },
+                published_topics: {
+                    map: function(doc){
+                        if ( doc.type !== 'Question' || !doc.publicationDate ) { return; }
+                        emit(doc.topic);
+                    }
+                }
+            }
+        },
+        "rft/_design/surveys": {
+            __configAction: "replace",
+            _id: "_design/surveys",
+            language: "javascript",
+            views: {
+                drafts: {
+                    map: function(doc){
+                        if ( doc.type !== 'Survey' || doc.publicationDate ) { return; }
+                        emit(doc._id,doc);
+                    }
+                },
+                published: {
+                    map: function(doc){
+                        if ( doc.type !== 'Survey' || !doc.publicationDate ) { return; }
+                        emit(doc._id,doc);
+                    }
+                }
+            }
+        }
+    };
+});
Index: Dev/branches/rest-dojo-ui/client/data/.htaccess
===================================================================
--- Dev/branches/rest-dojo-ui/client/data/.htaccess	(revision 409)
+++ Dev/branches/rest-dojo-ui/client/data/.htaccess	(revision 410)
@@ -1,2 +1,3 @@
 RewriteEngine on
-RewriteRule (.*) http://localhost:5984/$1 [P,QSA]
+RewriteRule couch/(.*) http://localhost:5984/rft/$1 [P,QSA]
+RewriteRule elastic http://localhost:9200/rft/_search [P,QSA]
Index: Dev/branches/rest-dojo-ui/client/rft/app/Content.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/app/Content.js	(revision 410)
+++ Dev/branches/rest-dojo-ui/client/rft/app/Content.js	(revision 410)
@@ -0,0 +1,46 @@
+define([
+    'dojo/_base/declare',
+    'dijit/registry'
+],function(declare,registry){
+
+    var Content = declare(null,{
+        _started: false,
+        _container: null,
+        _previousContent: null,
+        startup: function() {
+            if ( this._started ) { return; }
+
+            this._container = registry.byId('content');
+            if ( !this._container || !this._container.addChild ) {
+                throw new Error("Cannot find container widget with id 'content'.");
+            }
+
+            this._toaster = registry.byId('toaster');
+            if ( !this._toaster || !this._toaster.setContent ) {
+                throw new Error("Cannot find toaster widget with id 'toaster'.");
+            }
+
+            this._started = true;
+        },
+        set: function(widget) {
+            if ( !this._started ) {
+                throw new Error('Call startup() before setting content.');
+            }
+            if ( this._previousContent ) {
+                this._previousContent.destroyRecursive();
+                this._previousContent = null;
+            }
+            widget.region = 'center';
+            this._container.addChild(widget);
+            this._previousContent = widget;
+        },
+        notify: function(text,type) {
+            if ( !this._started ) {
+                throw new Error('Call startup() before setting content.');
+            }
+            this._toaster.setContent(text,type || 'message');
+        }
+    });
+
+    return new Content();
+});
Index: Dev/branches/rest-dojo-ui/client/rft/app/Router.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/app/Router.js	(revision 410)
+++ Dev/branches/rest-dojo-ui/client/rft/app/Router.js	(revision 410)
@@ -0,0 +1,134 @@
+define([
+    'dojo/_base/declare',
+    'dojo/hash',
+    'dojo/io-query',
+    'dojo/topic',
+    './Content',
+    './Page'
+],function(declare,hash,ioQuery,topic,Content,Page){
+
+    var Router = declare(null,{
+        _started: false,
+        _routes: null,
+        _previousHash: null,
+
+        _paramMatch: /:(\w[\w\d]*)/g,
+        _paramReplace: "([^\\/!]+)",
+
+        constructor: function() {
+            this._routes = [];
+        },
+        startup: function() {
+            if ( this._started ) { return; }
+            if ( !Content._started ) {
+                Content.startup();
+            }
+            this._started = true;
+
+            var self = this;
+
+            if ( hash() === "" ) {
+                hash("#!/");
+            }
+            this._handlePathChange(hash());
+			topic.subscribe("/dojo/hashchange", function(){
+                self._handlePathChange.apply(self,arguments);
+            });
+        },
+        register: function(route) {
+            if ( this._started ) {
+                console.warn('Registering routes after startup() is called is discouraged.');
+            }
+            var self = this;
+            var callback;
+            if ( route.callback ) {
+                callback = function(params){
+                    Content.set(route.callback(params));
+                };
+            } else if ( route.redirect ) {
+                callback = function(params){
+                    self.go(route.redirect);
+                };
+            } else if ( route.constructor ) {
+                callback = function(params){
+                    Content.set( new route.constructor(params) );
+                };
+            }
+            if ( callback ) {
+                if ( route.path ) {
+                    this._routes.push(this._createRoute(route.path,callback));
+                } else {
+                    this._defaultCallback = callback;
+                }
+            } else {
+                console.warn("Route "+(route.path||"default")+" has no action.");
+            }
+        },
+        _createRoute: function(path,callback) {
+            var match, route = {};
+            route.callback = callback;
+            route.paramNames = [];
+			while((match = this._paramMatch.exec(path)) !== null){
+				route.paramNames.push(match[1]);
+			}
+            path = path.replace(this._paramMatch, this._paramReplace);
+            route.regexp = new RegExp('^!'+path+'(!(.*))?$');
+            return route;
+        },
+        _handlePathChange: function(newHash) {
+            if ( this._previousHash === newHash ) { return; }
+            this._previousHash = newHash;
+
+            for (var i = this._routes.length-1; i >= 0; i--) {
+                var result;
+                var route = this._routes[i];
+
+                if ((result = route.regexp.exec(newHash)) !== null) {
+                    var numParams = route.paramNames.length;
+
+                    var params = {};
+                    for (var j = 0; j < numParams; j++) {
+                        params[route.paramNames[j]] = result[j+1];
+                    }
+
+                    if ( result.length > numParams+1 && result[numParams+2] ) {
+                        params.options = ioQuery.queryToObject(result[numParams+2]);
+                    }
+
+                    try {
+                        route.callback(params);
+                    } catch(err) {
+                        console.warn("Page change failed.",err);
+                    }
+                    return;
+                }
+            }
+
+            try {
+                this._defaultCallback();
+            } catch(err) {
+                console.warn("Default page failed.",err);
+            }
+        },
+        go: function(path,args) {
+            if ( !this._started ) { return; }
+            var newHash = this._pathToHash(path,args);
+            this._handlePathChange(newHash);
+            hash(newHash);
+        },
+        _pathToHash: function(path,args) {
+            var hash = '!'+path;
+            if ( args ) {
+                hash += '!'+ioQuery.objectToQuery(args);
+            }
+            return hash;
+        },
+        _defaultCallback: function() {
+            Content.set(new Page({
+                templateString: "<div>Requested page not found. Go <a href=\"#!/\">home</a>.</div>"
+            }));
+        }
+    });
+
+    return new Router();
+});
Index: Dev/branches/rest-dojo-ui/client/rft/pages/index.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/index.js	(revision 409)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/index.js	(revision 410)
@@ -1,8 +1,8 @@
 define([
     'dojo/_base/declare',
-    '../app/Controller',
+    '../app/Router',
     '../app/Page',
     'dojo/text!./index.html'
-],function(declare,Controller,Page,template){
+],function(declare,Router,Page,template){
     return declare([Page],{
         templateString: template,
@@ -11,11 +11,11 @@
             if ( this._started ) { return; }
             this.inherited(arguments);
-            this.btnContentCreate.on("click",function(){ Controller.go("/sessions"); });
-            this.btnContentFacilitate.on("click",function(){ Controller.go("/run"); });
-            this.btnSurveys.on("click",function(){ Controller.go("/surveys"); });
-            this.btnQuestions.on("click",function(){ Controller.go("/questions"); });
-            this.btnApplications.on("click",function(){ Controller.go("/applications"); });
-            this.btnDashboards.on("click",function(){ Controller.go("/dashboards"); });
-            this.btnResults.on("click",function(){ Controller.go("/results"); });
+            this.btnContentCreate.on("click",function(){ Router.go("/sessions"); });
+            this.btnContentFacilitate.on("click",function(){ Router.go("/run"); });
+            this.btnSurveys.on("click",function(){ Router.go("/surveys"); });
+            this.btnQuestions.on("click",function(){ Router.go("/questions"); });
+            this.btnApplications.on("click",function(){ Router.go("/applications"); });
+            this.btnDashboards.on("click",function(){ Router.go("/dashboards"); });
+            this.btnResults.on("click",function(){ Router.go("/results"); });
         }
     });
Index: Dev/branches/rest-dojo-ui/client/rft/pages/question.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/question.js	(revision 409)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/question.js	(revision 410)
@@ -5,10 +5,11 @@
     'dojo/_base/lang',
     '../store',
-    '../app/Controller',
+    '../app/Content',
+    '../app/Router',
     '../app/Page',
     '../ui/QuestionEditorPreview',
     '../ui/QuestionEditorToolkit',
     'dojo/text!./question.html'
-],function(declare, Deferred, event, lang, store, Controller, Page, QuestionEditorPreview, QuestionEditorToolkit, template){
+],function(declare, Deferred, event, lang, store, Content, Router, Page, QuestionEditorPreview, QuestionEditorToolkit, template){
     return declare([Page], {
         templateString: template,
@@ -43,5 +44,7 @@
             store.put(this.question)
             .then(function() {
-                Controller.go('/questions');
+                Router.go('/questions');
+            },function(err){
+                Content.notify(err.reason,'error');
             });
             evt && event.stop( evt );
@@ -49,5 +52,5 @@
         },
         _onDiscard: function() {
-            Controller.go('/questions');
+            Router.go('/questions');
             return true;
         },
Index: Dev/branches/rest-dojo-ui/client/rft/pages/questions.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/questions.js	(revision 409)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/questions.js	(revision 410)
@@ -4,10 +4,11 @@
     'dojo/_base/event',
     'dojo/_base/lang',
-    '../app/Controller',
     '../store',
+    '../app/Content',
+    '../app/Router',
     '../app/Page',
     '../ui/TabbedQuestionBrowser',
     'dojo/text!./questions.html'
-],function(declare,Deferred,event,lang,Controller,store,Page,TabbedQuestionBrowser,template) {
+],function(declare,Deferred,event,lang,store,Content,Router,Page,TabbedQuestionBrowser,template) {
     return declare([Page],{
         templateString: template,
@@ -19,18 +20,17 @@
                 'class': 'blue',
                 itemActions: {
-                    'Edit': {
+                    Edit: {
                         callback: lang.hitch(this,"onEditQuestion"),
-                           icon: 'Edit',
-                           description: 'Edit question'
+                        icon: 'Edit',
+                        description: 'Edit question'
+                    },
+                    Publish: {
+                        callback: lang.hitch(this,"onPublishQuestion"),
+                        icon: 'Publish',
+                        description: 'Publish question'
                     }
                 }
             },this.questionBrowser);
             this.questionBrowser.startup();
-        },
-        _refresh: function() {
-            Deferred.when(store.query('_design/default/_view/by_type',{key: 'Question'}))
-            .then(lang.hitch(this,function(items){
-                this._list.setItems(items);
-            }));
         },
         onNewQuestion: function() {
@@ -41,5 +41,14 @@
         },
         onEditQuestion: function(question) {
-            Controller.go("/question/"+question._id);
+            Router.go("/question/"+question._id);
+        },
+        onPublishQuestion: function(question) {
+            question.publicationDate = store.timestamp();
+            store.put(question)
+            .then(function(){
+                Content.notify("Question puplished.");
+            },function(err){
+                Content.notify(err.reason,'error');
+            });
         }
     });
Index: Dev/branches/rest-dojo-ui/client/rft/pages/session.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/session.js	(revision 409)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/session.js	(revision 410)
@@ -2,15 +2,15 @@
     'dojo/_base/array',
     'dojo/_base/declare',
+    'dojo/_base/Deferred',
+    'dojo/_base/event',
     'dojo/_base/lang',
-    'dojo/_base/event',
-    'dojo/_base/Deferred',
-    '../app/Controller',
+    '../search',
     '../store',
-    '../elastic/ElasticSearchFilteringSelect',
-    '../elastic/ElasticReadStore',
     '../app/Page',
+    '../app/Router',
+    '../ui/ThresholdFilteringSelect',
     '../ui/lists/AccountListView',
     'dojo/text!./session.html'
-],function(array,declare,lang,event,Deferred,ElasticSearchFilteringSelect,ElasticReadStore,store,Page,Controller,AccountListView,template){
+],function(array,declare,Deferred,event,lang,search,store,Page,Router,ThresholdFilteringSelect,AccountListView,template){
     return declare([Page],{
         templateString: template,
@@ -48,5 +48,5 @@
             store.put(this.session)
             .then(function(){
-                Controller.go('/sessions');
+                Router.go('/sessions');
             });
             event.stop(evt);
@@ -56,5 +56,5 @@
             this.propertiesForm.reset();
             event.stop(evt);
-            Controller.go('/sessions');
+            Router.go('/sessions');
             return false;
         },
@@ -70,10 +70,6 @@
         },
         _setupAutoComplete: function() {
-            var accountStore = new ElasticReadStore({
-                url: "http://localhost:9200/rft/_search",
-                requestMethod: "POST"
-            });
-            this._select = new ElasticSearchFilteringSelect({
-                store: accountStore,
+            this._select = new ThresholdFilteringSelect({
+                store: search,
                 autoComplete: false,
                 required: false,
Index: Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js	(revision 409)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js	(revision 410)
@@ -4,9 +4,9 @@
     'dojo/date/stamp',
     '../store',
-    '../app/Controller',
+    '../app/Router',
     '../app/Page',
     '../ui/ObjectBox',
     'dojo/text!./sessions.html'
-],function(declare,lang,dateStamp,store,Controller,Page,ObjectBox,template){
+],function(declare,lang,dateStamp,store,Router,Page,ObjectBox,template){
     return declare([Page],{
         templateString: template,
@@ -18,5 +18,5 @@
             this.templateActions = {
                 "Edit": function(obj){
-                    Controller.go('/session/'+store.getIdentity(obj));
+                    Router.go('/session/'+store.getIdentity(obj));
                 },
                 "Delete": lang.hitch(this,function(obj){
@@ -30,5 +30,5 @@
             this.sessionActions = {
                 "Facilitate": function(obj){
-                    Controller.go('run',{uid:store.getIdentity(obj)});
+                    Router.go('run',{uid:store.getIdentity(obj)});
                 },
                 "Delete": lang.hitch(this,function(obj){
@@ -62,5 +62,5 @@
             })
             .then(lang.hitch(this,function(obj){
-                Controller.go('/session/'+store.getIdentity(obj));
+                Router.go('/session/'+store.getIdentity(obj));
             }));
         },
@@ -70,5 +70,5 @@
             delete session[store.revProperty];
             session.type = "SessionInstance";
-            session.publishedDate = dateStamp.toISOString(new Date(),{zulu: true});
+            session.publicationDate = store.timestamp();
             session.creator = "Igor Mayer";
             store.add(session)
